#pragma once
#include "ConsumeOrderContext.h"
#include "Message.h"
#include "OrderAction.h"

ROCKETMQ_NAMESPACE_BEGIN

class MessageOrderListener {
   public:
    MessageOrderListener() = default;

    virtual ~MessageOrderListener() = default;

    // interface of consuming message, should be realized by application
    virtual OrderAction consume(Message& message, ConsumeOrderContext& context) = 0;
};

ROCKETMQ_NAMESPACE_END