#pragma once

#include <string>

#include "ONSClient.h"

ROCKETMQ_NAMESPACE_BEGIN

class TransactionProducerImpl;
class OrderProducerImpl;
class ProducerImpl;

class ONSCLIENT_API SendResultONS {
   public:
    SendResultONS();

    ~SendResultONS() = default;

    void setMessageId(const std::string& msgId);

    const char* getMessageId() const;

   private:
    std::string messageId;

    friend class TransactionProducerImpl;
    friend class OrderProducerImpl;
    friend class ProducerImpl;
};

ROCKETMQ_NAMESPACE_END