#pragma once
#include "MessageOrderListener.h"

ROCKETMQ_NAMESPACE_BEGIN

class ONSCLIENT_API OrderConsumer {
   public:
    OrderConsumer() = default;

    virtual ~OrderConsumer() = default;

    virtual void start() = 0;
    virtual void shutdown() = 0;
    virtual void subscribe(const char* topic, const char* subExpression, MessageOrderListener* listener) = 0;

    virtual void unsubscribe(const char* topic) = 0;
};

ROCKETMQ_NAMESPACE_END