#pragma once

#include "MessageListener.h"

ROCKETMQ_NAMESPACE_BEGIN

class ONSCLIENT_API PushConsumer {
   public:
    PushConsumer() = default;

    virtual ~PushConsumer() = default;

    virtual void start() = 0;

    virtual void shutdown() = 0;

    virtual void subscribe(const char* topic, const char* subExpression, MessageListener* listener) = 0;

    virtual void unsubscribe(const char*) = 0;
};

ROCKETMQ_NAMESPACE_END